//
//  ViewController.swift
//  BoxShadowExample
//
//  Created by narita on 2018/11/26.
//  Copyright © 2018 narita. All rights reserved.
//

import Cocoa

class BSEViewController: NSViewController
{
    // MARK: - class methods
    
    // MARK: - init methods
    
    // MARK: - dealloc
    
    // MARK: - NSCopying, hash, isEqual:
    
    // MARK: - NSCoding methods
    
    // MARK: - restorableState methods
    
    // MARK: - life cycle methods

    override func viewDidLoad()
    {
        super.viewDidLoad()
        
        // Do any additional setup after loading the view.
    }

    // MARK: - action methods
    
    // MARK: - event handling methods
    
    // MARK: - drawing methods
    
    // MARK: - delegate/datasource methods
    
    // MARK: - accessor methods (in pairs)
    
    override var representedObject: Any?
    {
        didSet
        {
        // Update the view, if already loaded.
        }
    }

    @IBOutlet var boxShadowView : MINTLBoxShadow?
    
    
    @IBAction func marginXAction(_ sender: Any?)
    {
        if let theControl = sender as? NSControl
        {
            self.boxShadowView!.contentViewMargins.width = CGFloat(theControl.doubleValue)
        }
    }
    
    @IBAction func marginYAction(_ sender: Any?)
    {
        if let theControl = sender as? NSControl
        {
            self.boxShadowView!.contentViewMargins.height = CGFloat(theControl.doubleValue)
        }
    }

    
    @IBAction func offsetXAction(_ sender: Any?)
    {
        if let theControl = sender as? NSControl
        {
            self.boxShadowView!.mintSdwOffset.width = CGFloat(theControl.doubleValue)
        }
    }

    @IBAction func offsetYAction(_ sender: Any?)
    {
        if let theControl = sender as? NSControl
        {
            self.boxShadowView!.mintSdwOffset.height = CGFloat(theControl.doubleValue)
        }
    }
    
    @IBAction func radiusAction(_ sender: Any?)
    {
        if let theControl = sender as? NSControl
        {
            self.boxShadowView!.mintSdwRadius = CGFloat(theControl.doubleValue)
        }
    }

    
    @IBAction func top(_ sender: Any?)
    {
        if let theControl = sender as? NSControl
        {
            self.boxShadowView!.top = theControl.selectedTag()
        }
    }

    @IBAction func left(_ sender: Any?)
    {
        if let theControl = sender as? NSControl
        {
            self.boxShadowView!.left = theControl.selectedTag()
        }
    }

    @IBAction func bottom(_ sender: Any?)
    {
        if let theControl = sender as? NSControl
        {
            self.boxShadowView!.bottom = theControl.selectedTag()
        }
    }

    @IBAction func right(_ sender: Any?)
    {
        if let theControl = sender as? NSControl
        {
            self.boxShadowView!.right = theControl.selectedTag()
        }
    }

    @IBAction func drawBorderAction(_ sender: Any?)
    {
        if let theControl = sender as? NSControl
        {
            self.boxShadowView!.borderType =
                theControl.integerValue == 1 ? .lineBorder : .noBorder
        }
    }

    // MARK: - Utility methods

}

